Alokai

SapccApiCreateCartDeliveryAddressRequest

Request parameters for createCartDeliveryAddress operation in SapccApi. SapccApiCreateCartDeliveryAddressRequest

interface SapccApiCreateCartDeliveryAddressRequest {
	readonly address: Address;
	readonly baseSiteId: string;
	readonly cartId: string;
	readonly fields?: string;
	readonly userId: string;
}

Properties

NameRequiredTypeDescription
addressRequiredAddress{Address} SapccApiCreateCartDeliveryAddress
baseSiteIdRequiredstringBase site identifier. {string} SapccApiCreateCartDeliveryAddress
cartIdRequiredstringCart identifier: cart code for logged-in user, cart GUID for anonymous user, or 'current' for the last modified cart. {string} SapccApiCreateCartDeliveryAddress
fieldsOptionalstringResponse configuration. This is the list of fields that should be returned in the response body. Examples: BASIC,DEFAULT,FULL {string} SapccApiCreateCartDeliveryAddress
userIdRequiredstringUser identifier or one of the literals : 'current' for currently authenticated user, 'anonymous' for anonymous user. {string} SapccApiCreateCartDeliveryAddress

Referenced Types

On this page